HanMacWrdJZoneHeader Struct Reference documentation

HanMacWrdJZoneHeader Struct Reference

a class use to store the classic header find before file zone More...

`#include <HanMacWrdJParser.hxx>`

## Public Member Functions
| HanMacWrdJZoneHeader (bool isMain)
| constructor

## Public Attributes
long | m_length
| the zone size
int | m_n
| the number of item
int | m_fieldSize
| the field size
long | m_id
| the zone id
int | m_values [4]
| 4 unknown field : freeN?, totalN?, totalN1?, ?
bool | m_isMain
| true if this is the main header

## Friends
std::ostream & | operator<< (std::ostream &o, HanMacWrdJZoneHeader const &h)
| operator<<

## Detailed Description

a class use to store the classic header find before file zone

## Constructor & Destructor Documentation

## ◆ HanMacWrdJZoneHeader()

HanMacWrdJZoneHeader::HanMacWrdJZoneHeader | ( | bool | isMain | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | HanMacWrdJZoneHeader const & | h )
| friend

operator<<

## Member Data Documentation

## ◆ m_fieldSize

int HanMacWrdJZoneHeader::m_fieldSize

the field size

Referenced by HanMacWrdJZoneHeader(), HanMacWrdJParser::readClassicHeader(), HanMacWrdJText::readFonts(), HanMacWrdJGraph::readFrames(), HanMacWrdJText::readFtnPos(), HanMacWrdJGraph::readGraphData(), HanMacWrdJGraph::readGroupData(), HanMacWrdJText::readParagraphs(), HanMacWrdJText::readSections(), HanMacWrdJText::readStyles(), HanMacWrdJGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), HanMacWrdJText::readTextToken(), HanMacWrdJText::readTextZone(), HanMacWrdJText::readTextZonesList(), HanMacWrdJParser::readZoneA(), and HanMacWrdJParser::readZoneB().

## ◆ m_id

long HanMacWrdJZoneHeader::m_id

the zone id

Referenced by HanMacWrdJZoneHeader(), operator<<, and HanMacWrdJParser::readClassicHeader().

## ◆ m_isMain

bool HanMacWrdJZoneHeader::m_isMain

true if this is the main header

Referenced by HanMacWrdJZoneHeader(), operator<<, and HanMacWrdJParser::readClassicHeader().

## ◆ m_length

long HanMacWrdJZoneHeader::m_length

the zone size

Referenced by HanMacWrdJZoneHeader(), HanMacWrdJParser::readClassicHeader(), HanMacWrdJText::readFonts(), HanMacWrdJGraph::readFrames(), HanMacWrdJText::readFtnPos(), HanMacWrdJGraph::readGraphData(), HanMacWrdJGraph::readGroupData(), HanMacWrdJText::readParagraphs(), HanMacWrdJText::readSections(), HanMacWrdJText::readStyles(), HanMacWrdJGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), HanMacWrdJText::readTextToken(), HanMacWrdJText::readTextZone(), HanMacWrdJText::readTextZonesList(), HanMacWrdJParser::readZoneA(), and HanMacWrdJParser::readZoneB().

## ◆ m_n

int HanMacWrdJZoneHeader::m_n

the number of item

Referenced by HanMacWrdJZoneHeader(), operator<<, HanMacWrdJParser::readClassicHeader(), HanMacWrdJText::readFonts(), HanMacWrdJGraph::readFrames(), HanMacWrdJText::readFtnPos(), HanMacWrdJGraph::readGraphData(), HanMacWrdJGraph::readGroupData(), HanMacWrdJText::readParagraphs(), HanMacWrdJText::readSections(), HanMacWrdJText::readStyles(), HanMacWrdJGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), HanMacWrdJText::readTextToken(), HanMacWrdJText::readTextZonesList(), HanMacWrdJParser::readZoneA(), and HanMacWrdJParser::readZoneB().

## ◆ m_values

int HanMacWrdJZoneHeader::m_values[4]

4 unknown field : freeN?, totalN?, totalN1?, ?

Referenced by HanMacWrdJZoneHeader(), operator<<, and HanMacWrdJParser::readClassicHeader().

The documentation for this struct was generated from the following file:

- HanMacWrdJParser.hxx